Debian Bug report logs - #480154
non-determistic FTBFS: cgiupload tests fail

version graph

Package: libapache2-mod-perl2; Maintainer for libapache2-mod-perl2 is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libapache2-mod-perl2 is src:libapache2-mod-perl2.

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Thu, 8 May 2008 11:27:11 UTC

Severity: serious

Tags: patch

Found in version libapache2-mod-perl2/2.0.4-1

Fixed in version libapache2-mod-perl2/2.0.4-2

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on mips (cgiupload tests fail)
Date: Thu, 08 May 2008 14:09:10 +0300
Package: libapache2-mod-perl2
Version: 2.0.4-1
Severity: serious

2.0.4-1 fails to build on mips[1].

    [1] http://buildd.debian.org/fetch.cgi?&pkg=libapache2-mod-perl2&ver=2.0.4-1&arch=mips&stamp=1209964732&file=log

    t/modules/cgipost2......................ok
    t/modules/cgiupload.....................# Failed test 2 in
    t/modules/cgiupload.t at line 36 fail #2
    FAILED test 2
        Failed 1/2 tests, 50.00% okay
    t/modules/cgiupload2....................# Failed test 2 in
    t/modules/cgiupload2.t at line 36 fail #2
    FAILED test 2
        Failed 1/2 tests, 50.00% okay

and if this is not enough,

    [warning] server ball.einval.com:8529 shutdown
    [  error] error running tests (please examine t/logs/error_log)
    [  error] oh dangnabit, server dumped core 
    [  error] for stacktrace, run: gdb /usr/sbin/apache2 -core /build/buildd/libapache2-mod-perl2-2.0.4/t/core.31268

:(

2.0.3-5 built[2] just fine on the same buildd.

    [2] http://buildd.debian.org/fetch.cgi?&pkg=libapache2-mod-perl2&ver=2.0.3-5&arch=mips&stamp=1206513601&file=log




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 480154@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Damyan Ivanov <dmn@debian.org>, 480154@bugs.debian.org
Subject: Re: Bug#480154: FTBFS on mips (cgiupload tests fail)
Date: Thu, 8 May 2008 15:03:43 +0300
On Thu, May 08, 2008 at 02:09:10PM +0300, Damyan Ivanov wrote:
> Package: libapache2-mod-perl2
> Version: 2.0.4-1
> Severity: serious
> 
> 2.0.4-1 fails to build on mips[1].

>     t/modules/cgiupload.t at line 36 fail #2

> and if this is not enough,
> 
>     [warning] server ball.einval.com:8529 shutdown
>     [  error] error running tests (please examine t/logs/error_log)
>     [  error] oh dangnabit, server dumped core 
>     [  error] for stacktrace, run: gdb /usr/sbin/apache2 -core /build/buildd/libapache2-mod-perl2-2.0.4/t/core.31268

The latter is probably #475498, and it doesn't make the tests fail.

http://www.gossamer-threads.com/lists/modperl/modperl/96927?do=post_view_threaded#96927

-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 480154@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 480154@bugs.debian.org
Subject: Re: Bug#480154: FTBFS on mips (cgiupload tests fail)
Date: Tue, 13 May 2008 00:17:21 +0300
On Thu, May 08, 2008 at 02:09:10PM +0300, Damyan Ivanov wrote:
> Package: libapache2-mod-perl2
> Version: 2.0.4-1
> Severity: serious
> 
> 2.0.4-1 fails to build on mips[1].
> 
>     [1] http://buildd.debian.org/fetch.cgi?&pkg=libapache2-mod-perl2&ver=2.0.4-1&arch=mips&stamp=1209964732&file=log

FWIW, it succeeded on mayr (another buildd host) when retried.

 http://buildd.debian.org/build.cgi?pkg=libapache2-mod-perl2;ver=2.0.4-1;arch=mips

-- 
Niko Tyni   ntyni@debian.org




Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 480154-done@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 480154-done@bugs.debian.org
Subject: Re: Bug#480154: FTBFS on mips (cgiupload tests fail)
Date: Tue, 13 May 2008 14:44:26 +0300
[Message part 1 (text/plain, inline)]
-=| Niko Tyni, Tue, May 13, 2008 at 12:17:21AM +0300 |=-
> On Thu, May 08, 2008 at 02:09:10PM +0300, Damyan Ivanov wrote:
> > Package: libapache2-mod-perl2
> > Version: 2.0.4-1
> > Severity: serious
> > 
> > 2.0.4-1 fails to build on mips[1].
> > 
> >     [1] http://buildd.debian.org/fetch.cgi?&pkg=libapache2-mod-perl2&ver=2.0.4-1&arch=mips&stamp=1209964732&file=log
> 
> FWIW, it succeeded on mayr (another buildd host) when retried.
> 
>  http://buildd.debian.org/build.cgi?pkg=libapache2-mod-perl2;ver=2.0.4-1;arch=mips

Great, closing the bug. (and taking note that there may be other reasonf
for a FTBFS, not only a bug in the package)

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 480154@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 480154@bugs.debian.org
Subject: Re: Bug#480154: FTBFS on mips (cgiupload tests fail)
Date: Mon, 26 May 2008 15:22:55 +0300
reopen 480154
found 480154 2.0.4-1
retitle 480154 non-determistic FTBFS: cgiupload tests fail
thanks

On Thu, May 08, 2008 at 02:09:10PM +0300, Damyan Ivanov wrote:
> Package: libapache2-mod-perl2
> Version: 2.0.4-1
> Severity: serious
> 
> 2.0.4-1 fails to build on mips[1].
> 
>     [1] http://buildd.debian.org/fetch.cgi?&pkg=libapache2-mod-perl2&ver=2.0.4-1&arch=mips&stamp=1209964732&file=log
> 
>     t/modules/cgipost2......................ok
>     t/modules/cgiupload.....................# Failed test 2 in
>     t/modules/cgiupload.t at line 36 fail #2
>     FAILED test 2
>         Failed 1/2 tests, 50.00% okay
>     t/modules/cgiupload2....................# Failed test 2 in
>     t/modules/cgiupload2.t at line 36 fail #2
>     FAILED test 2
>         Failed 1/2 tests, 50.00% okay

This just happened to me once on amd64+sbuild; the next try succeeded.
Probably a race condition in the test suite. Reopening and downgrading
to 'important' (as usual for low-probability FTBFS bugs).
-- 
Niko Tyni   ntyni@debian.org




Bug reopened, originator not changed. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:24:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.0.4-1. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:24:05 GMT) Full text and rfc822 format available.

Changed Bug title to `non-determistic FTBFS: cgiupload tests fail' from `FTBFS on mips (cgiupload tests fail)'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 480154@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: control@bugs.debian.org
Cc: 480154@bugs.debian.org
Subject: severity of 480154 is important
Date: Mon, 26 May 2008 15:44:14 +0300
# Automatically generated email from bts, devscripts version 2.10.25+local
# non-deterministic FTBFS
severity 480154 important





Severity set to `important' from `serious' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #43 received at 480154@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Niko Tyni <ntyni@debian.org>, 480154@bugs.debian.org
Subject: Re: Bug#480154: FTBFS on mips (cgiupload tests fail)
Date: Sat, 2 Aug 2008 17:15:32 +0200
severity 480154 serious
thanks

Hi Niko,

On Mon, May 26, 2008 at 03:22:55PM +0300, Niko Tyni wrote:
> reopen 480154
> found 480154 2.0.4-1
> retitle 480154 non-determistic FTBFS: cgiupload tests fail
> thanks
> 
> On Thu, May 08, 2008 at 02:09:10PM +0300, Damyan Ivanov wrote:
> > Package: libapache2-mod-perl2
> > Version: 2.0.4-1
> > Severity: serious
> > 
> > 2.0.4-1 fails to build on mips[1].
> > 
> >     [1] http://buildd.debian.org/fetch.cgi?&pkg=libapache2-mod-perl2&ver=2.0.4-1&arch=mips&stamp=1209964732&file=log
> > 
> >     t/modules/cgipost2......................ok
> >     t/modules/cgiupload.....................# Failed test 2 in
> >     t/modules/cgiupload.t at line 36 fail #2
> >     FAILED test 2
> >         Failed 1/2 tests, 50.00% okay
> >     t/modules/cgiupload2....................# Failed test 2 in
> >     t/modules/cgiupload2.t at line 36 fail #2
> >     FAILED test 2
> >         Failed 1/2 tests, 50.00% okay
> 
> This just happened to me once on amd64+sbuild; the next try succeeded.
> Probably a race condition in the test suite. Reopening and downgrading
> to 'important' (as usual for low-probability FTBFS bugs).

I just reproduced this, try again in a different machine and got the FTBFS
again. I am afraid it is not a low-probability FTBFS bug. 
I am upgrading to serious.

Log:
http://people.debian.org/~ana/st/failed-libapache2-mod-perl2.gz

Ana

> 
> 




Severity set to `serious' from `important' Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sat, 02 Aug 2008 15:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 480154@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Ana Guerrero <ana@debian.org>, 480154@bugs.debian.org
Subject: Re: Bug#480154: FTBFS on mips (cgiupload tests fail)
Date: Sun, 10 Aug 2008 22:09:20 +0300
tag 480154 patch
thanks

On Sat, Aug 02, 2008 at 05:15:32PM +0200, Ana Guerrero wrote:
> On Mon, May 26, 2008 at 03:22:55PM +0300, Niko Tyni wrote:
> > On Thu, May 08, 2008 at 02:09:10PM +0300, Damyan Ivanov wrote:
> > > Package: libapache2-mod-perl2
> > > Version: 2.0.4-1
> > > Severity: serious
> > > 
> > > 2.0.4-1 fails to build on mips[1].
> > > 
> > >     [1] http://buildd.debian.org/fetch.cgi?&pkg=libapache2-mod-perl2&ver=2.0.4-1&arch=mips&stamp=1209964732&file=log
> > > 
> > >     t/modules/cgipost2......................ok
> > >     t/modules/cgiupload.....................# Failed test 2 in
> > >     t/modules/cgiupload.t at line 36 fail #2
> > >     FAILED test 2
> > >         Failed 1/2 tests, 50.00% okay
> > >     t/modules/cgiupload2....................# Failed test 2 in
> > >     t/modules/cgiupload2.t at line 36 fail #2
> > >     FAILED test 2
> > >         Failed 1/2 tests, 50.00% okay
> > 
> > This just happened to me once on amd64+sbuild; the next try succeeded.
> > Probably a race condition in the test suite. Reopening and downgrading
> > to 'important' (as usual for low-probability FTBFS bugs).
> 
> I just reproduced this, try again in a different machine and got the FTBFS
> again. I am afraid it is not a low-probability FTBFS bug. 
> I am upgrading to serious.

OK, I think I've got it now. The fix is to build-depend on 
libcgi-pm-perl (>= 3.33). From the CGI.pm changelog at 3.33:

   3. Fixed failure of tempfile upload due to sprintf() taint failure in perl 5.10

See http://rt.perl.org/rt3/Public/Bug/Display.html?id=50322

For those interested, some notes:

- t/modules/cgiupload fails all its tests if run alone with e.g.
   APACHE_TEST_EXTRA_ARGS="-httpd_conf /etc/apache2/apache2.conf t/modules/cgiupload"  make test
  but if t/modules/cgi.t is run first, everything seems fine:
   APACHE_TEST_EXTRA_ARGS="-httpd_conf /etc/apache2/apache2.conf t/modules/cgi t/modules/cgiupload"  make test

- the difference is that the server-side part of cgi.t,
  t/response/TestModules/cgi.pm, has 'PerlOptions -SetupEnv'

- this means that 'SetEnv TMPDIR @t_logs@' in t/conf/extra.conf.in doesn't get
  activated when cgi.t is run first

- if $ENV{TMPDIR} is set when first running CGI->new(), its tainted
  value is used as an sprintf() format up until CGI.pm 3.33, leading to
  a fatal exception introduced in Perl 5.10. From t/logs/error.log:

  [Sun Aug 10 21:05:53 2008] [error] [client 127.0.0.1] Insecure dependency in sprintf while running with -T switch at (eval 149) line 6.\n

- this is an internal server error, so the length of the returned
  document isn't the one expected and the test fails

- the difficulty in reproducing this is because Apache will create new
  children/threads non-deterministically (possibly based on server
  load?), and the test only fails when run in a new child that hasn't
  run t/response/TestModules/cgi.pm first.

- the bug can be made more reproducible by increasing the loop count in
  t/modules/cgiupload.t from 2 to something like 100, but I still can't
  see it in a full 'make test' run myself. This makes it always show
  up when only running cgi.t and cgiupload.t, though.

- I *think* what happens is that on a loaded build host, the tests may
  get all the way up to cgiupload.t in a single server interpreter
  because the client side runs slowly, and a new child is only created
  in the cgiupload.t loop.

- in any case, installing libcgi-pm-perl fixes the problem for me
  (although there's still an upstream mod_perl2 bug in that TMPDIR isn't
  inside the build sandbox all the time).

Cheers,
-- 
Niko Tyni   ntyni@debian.org




Tags added: patch Request was from Niko Tyni <ntyni@debian.org> to controlbugs.debian.org. (Sun, 10 Aug 2008 19:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Message #55 received at 480154@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 480154@bugs.debian.org, 480154-submitter@bugs.debian.org
Subject: Bug in libapache2-mod-perl2 fixed in revision 24101
Date: Mon, 11 Aug 2008 08:07:37 +0000
tag 480154 + pending
thanks

Some bugs are closed in revision 24101
by Damyan Ivanov (dmn)

Commit message:

* add explicit build-dependency on libcgi-pm-perl (>= 3.33) as the version
  of CGI.pm shipped in perl-modules fails with a taint failure when handling
  uploads. Thanks to Niko Tyni for the investigation.
  Closes: #480154 -- FTBFS on mips (cgiupload tests fail)
  - bump urgency to medium




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Message #58 received at 480154@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 480154@bugs.debian.org, 480154-submitter@bugs.debian.org
Subject: Bug in fixed in revision 24106
Date: Mon, 11 Aug 2008 09:11:18 +0000
tag 480154 + pending
thanks

Some bugs are closed in revision 24106
by Damyan Ivanov (dmn)

Commit message:

* add explicit build-dependency on libcgi-pm-perl (>= 3.33) as the version
  of CGI.pm shipped in perl-modules fails with a taint failure when handling
  uploads. Thanks to Niko Tyni for the investigation.
  Closes: #480154 -- FTBFS on mips (cgiupload tests fail)
  - bump urgency to medium




Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to controlbugs.debian.org. (Mon, 11 Aug 2008 11:40:51 GMT) Full text and rfc822 format available.

Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to controlbugs.debian.org. (Mon, 11 Aug 2008 11:41:16 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 480154-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 480154-close@bugs.debian.org
Subject: Bug#480154: fixed in libapache2-mod-perl2 2.0.4-2
Date: Mon, 11 Aug 2008 09:47:05 +0000
Source: libapache2-mod-perl2
Source-Version: 2.0.4-2

We believe that the bug you reported is fixed in the latest version of
libapache2-mod-perl2, which is due to be installed in the Debian FTP archive:

libapache2-mod-perl2-dev_2.0.4-2_all.deb
  to pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2-dev_2.0.4-2_all.deb
libapache2-mod-perl2-doc_2.0.4-2_all.deb
  to pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2-doc_2.0.4-2_all.deb
libapache2-mod-perl2_2.0.4-2.diff.gz
  to pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2_2.0.4-2.diff.gz
libapache2-mod-perl2_2.0.4-2.dsc
  to pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2_2.0.4-2.dsc
libapache2-mod-perl2_2.0.4-2_amd64.deb
  to pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2_2.0.4-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480154@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libapache2-mod-perl2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 Aug 2008 12:27:28 +0300
Source: libapache2-mod-perl2
Binary: libapache2-mod-perl2 libapache2-mod-perl2-dev libapache2-mod-perl2-doc
Architecture: source all amd64
Version: 2.0.4-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libapache2-mod-perl2 - Integration of perl with the Apache2 web server
 libapache2-mod-perl2-dev - Integration of perl with the Apache2 web server - development fil
 libapache2-mod-perl2-doc - Integration of perl with the Apache2 web server - documentation
Closes: 480154
Changes: 
 libapache2-mod-perl2 (2.0.4-2) unstable; urgency=medium
 .
   * add explicit build-dependency on libcgi-pm-perl (>= 3.33) as the version
     of CGI.pm shipped in perl-modules fails with a taint failure when handling
     uploads. Thanks to Niko Tyni for the investigation.
     Closes: #480154 -- FTBFS on mips (cgiupload tests fail)
     - bump urgency to medium
Checksums-Sha1: 
 44c5fa580707aa79dab07ad9e8dff24b7687edea 1811 libapache2-mod-perl2_2.0.4-2.dsc
 ed2a123cb302d30a4c4fa29a8ab0fc31991e5b72 13585 libapache2-mod-perl2_2.0.4-2.diff.gz
 396a96fe6e9820c005dfa38d662e5fac02b6eafc 82638 libapache2-mod-perl2-dev_2.0.4-2_all.deb
 3f2b0f67b038a8a0dd4c19293f4efbbe33af9a55 3133328 libapache2-mod-perl2-doc_2.0.4-2_all.deb
 583b5a4506004592f6cc5fa675aa9141a2e180bf 1154978 libapache2-mod-perl2_2.0.4-2_amd64.deb
Checksums-Sha256: 
 a2d38202565a7b3ab36859c4ddc7916a9792525cee044d00aff1ba2739b7af2a 1811 libapache2-mod-perl2_2.0.4-2.dsc
 9380ab945a35a7c95368a8b4bc0437bac1334646cf130917c3e2ed0396b04b4b 13585 libapache2-mod-perl2_2.0.4-2.diff.gz
 5e71c02c82c9b9bd0bdd6db8a0d9ea75bc92e07c16a7a0ed19681bb3d561e5ce 82638 libapache2-mod-perl2-dev_2.0.4-2_all.deb
 8fe97a5ff01195c8fc160936286fecec7e43159ac4aac9e43956ed2402b7eef7 3133328 libapache2-mod-perl2-doc_2.0.4-2_all.deb
 af0146ea90b6b41f4f9bed922f30e7aa44704b361addc4d15c7d6c780c0a2eda 1154978 libapache2-mod-perl2_2.0.4-2_amd64.deb
Files: 
 319e89aaa6957a8cee4d8ab538640a18 1811 perl optional libapache2-mod-perl2_2.0.4-2.dsc
 eb35b099978dec78d5db007c9e8f3456 13585 perl optional libapache2-mod-perl2_2.0.4-2.diff.gz
 cf0ecd093f6d379e3fc7eaff3936656e 82638 libdevel optional libapache2-mod-perl2-dev_2.0.4-2_all.deb
 4628442bc83bfffb8331cb951c67381c 3133328 doc optional libapache2-mod-perl2-doc_2.0.4-2_all.deb
 d4e019ae4236ad96d9568f292cafd1a1 1154978 perl optional libapache2-mod-perl2_2.0.4-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkigB1MACgkQHqjlqpcl9juYHQCfX+jB0EPsvENkCCAapX1CRKzD
xO0AniGuwwsECw6yjhK2xOcv7g/Z8aDR
=11Zu
-----END PGP SIGNATURE-----





Message sent on to Damyan Ivanov <dmn@debian.org>:
Bug#480154. Full text and rfc822 format available.

Message sent on to Damyan Ivanov <dmn@debian.org>:
Bug#480154. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #78 received at 480154@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: debian-release@lists.debian.org, debian-perl@lists.debian.org
Cc: 494677@bugs.debian.org, 480154@bugs.debian.org
Subject: Re: Freeze exception for libapache2-mod-perl2/2.0.4-2
Date: Mon, 18 Aug 2008 11:51:19 +0300
block 494677 with 494679
block 480154 with 494679
thanks

On Sun, Aug 17, 2008 at 11:41:08PM +0100, Adeodato Simó wrote:
> * Niko Tyni [Mon, 11 Aug 2008 14:03:27 +0300]:

> > > Please allow the just-uploaded version 2.0.4-2 of libapache2-mod-perl2 
> > > to migrate to lenny. The upload contains a fix for a FTBFS bug[0] that 
> > > shows itself preferably on slow architectures.
> 
> > > libcgi-pm-perl (which is added to build-dependencies) is at version 3.38 
> > > in lenny.
> 
> > Darn, it failed on all autobuilders because their sbuilds still suffer
> > from #395271

> > I suppose we need to do something else to fix libapache2-mod-perl2.
 
> Any progress on this fix?

As discussed in #494677, fixing the CGI.pm bug in perl-modules (tracked
as #494679 and waiting for 5.10.0-13 to get in lenny first) should take
care of the original non-deterministic libapache2-mod-perl2 FTBFS bug
(#480154) still present in testing. I don't think we should work around
the problem in libapache2-mod-perl2 at this point.

For reference:

#480154 libapache2-mod-perl2: non-determistic FTBFS: cgiupload tests fail
#494677 libapache2-mod-perl2: FTBFS: dpkg-checkbuilddeps: Unmet build dependencies: libcgi-pm-perl (>= 3.33)
#494679 perl: $ENV{TMPDIR} breaks CGI.pm in taint mode

Hope this clears it up :)
-- 
Niko Tyni   ntyni@debian.org




Blocking bugs of 480154 added: 494679 Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 18 Aug 2008 08:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480154; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #85 received at 480154@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: debian-release@lists.debian.org, debian-perl@lists.debian.org, 494677@bugs.debian.org, 480154@bugs.debian.org
Subject: Re: Freeze exception for libapache2-mod-perl2/2.0.4-2
Date: Mon, 18 Aug 2008 19:00:13 +0100
* Niko Tyni [Mon, 18 Aug 2008 11:51:19 +0300]:

> > > Darn, it failed on all autobuilders because their sbuilds still suffer
> > > from #395271

> > > I suppose we need to do something else to fix libapache2-mod-perl2.

> > Any progress on this fix?

> As discussed in #494677, fixing the CGI.pm bug in perl-modules (tracked
> as #494679 and waiting for 5.10.0-13 to get in lenny first) should take
> care of the original non-deterministic libapache2-mod-perl2 FTBFS bug
> (#480154) still present in testing. I don't think we should work around
> the problem in libapache2-mod-perl2 at this point.

Sigh, I even commented on 494679, but I failed to associate that with
this thread. Sorry for the noise.

> Hope this clears it up :)

Thank you.

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
As scarce as truth is, the supply has always been in excess of the demand.
                -- Josh Billings





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 08:09:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:35:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.